<?php
$tmp = explode("/doc", $_SERVER['PHP_SELF']);
$root = $tmp[0] . "/";

?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8" />
<meta name="designer"
 content="Joachim Schmidt - http://www.jschmidt-systemberatung.de" />
<meta name="description" content="RGRAPH Web Application" />
<title>php-RGraph Options Reference</title>
<link href="<?php echo $root; ?>/css/website.css" rel="stylesheet"
 type="text/css" />
<script src="<?php echo $root; ?>js/jquery.min.js"></script>
<script type="text/javascript">
function show_options (form)
{
   if (form.type != undefined)
   {
    var Item   = form.type.selectedIndex;
    var type = form.type.options[Item].value;
    
    var url = "show_options.php?type=" + type;
    $( "#form-option" ).load( url, function() {
  		 // check result
         $( "#show-option").empty();
      });
   }
   if (form.options != undefined)
   {
    var Item   = form.options.selectedIndex;
    var option = form.options.options[Item].value;
    if (option.substr(0, 4) == 'http')
    {
    	window.open(option, '_blank');
    }
    else
    {
    var url = "show_option.php?option=" + option;
    $( "#show-option" ).load( url, function() {
  		 // check result
      });
    }
   }
 }
</script>
</head>
<body>
 <div id="body-container">
  <h3>php-RGraph - Properties Reference for supported Charts</h3>

  <div id="left">
   <h4>Select a Chart Type and Property, then click Button to see a
    short description</h4>
   <b>Select Chart Type </b>
   <form id="form1" name="form" action="">
    <select name="type" id="type" form="form1">
     <option value="Bar">Bar Chart</option>
     <option value="Hbar">Horizontal Bar Chart</option>
     <option value="Bipolar">Bi-Polar Chart</option>
     <option value="Line">Line Chart</option>
     <option value="Pie">Pie Chart</option>
     <option value="Pie">Donut Chart</option>
     <option value="Fuel">Fuel Chart</option>
     <option value="Funnel">Funnel Chart</option>
     <option value="Gauge">Gauge Chart</option>
     <option value="Gantt">Gantt Chart</option>
     <option value="Meter">Meter Chart</option>
     <option value="Odometer">Odometer Chart</option>
     <option value="Radar">Radar Chart</option>
     <option value="Rose">Rose Chart</option>
     <option value="Rscatter">Radial Scatter Chart</option>
     <option value="Scatter">Scatter Chart</option>
     <option value="Waterfall">Waterfall Chart</option>
    </select> <input type="button" value="Show Properties"
     onclick="show_options(this.form)" />
   </form>
   <div id="form-option"></div>
  </div>

  <div id="right">
   <div id="intro">
    <h4>Properties of all charts implemented by php-RGraph</h4>
    The javacript framework of RGraph has lots of configuration options
    for its various chart types. php-RGraph has implemented 580 single
    properties right now. Fortunately most of the defaults of those 580
    properties are so meaningful that one can live with them and should
    not be deterred by their sheer number.
    <p>
     To get more information besides references shown here, have a look
     at my samples or visit the <a href="http://www.rgraph.net/"
      target="_blank">home of RGraph</a>.
    
    
    <p>
   
   </div>
   <div id="show-option" style="margin-top: 15px;"></div>
  </div>
  <div class="clear"></div>

 </div>
</body>
</html>
