<?php
/**
 * @filesource: bubble.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";

// rgraph chart
$template = "bubble.php";
$draw_option = "draw();";
$width = "650";
$height = "350";

$chart = new rgraph_chart("cvs", null, "Scatter");

$data = array(
   array(125,35,'red'),array(180,25,'blue'),
   array(213,42,'green'),array(344,31,'purple'),
   array(144,25,'pink'),array(255,62,'lime'),
   array(35,45,'gray'),array(56,31)
);

// data for bubbles
$bubble_data = array(15,10,15,20,25,30,35,40);
$min = 0;
$max = max($bubble_data);
$max_size = 50;

$chart = new rgraph_chart("cvs", $data, "Scatter");

$options = new rgraph_options("default.ini");
$options->set_option("title","Bubble chart");
$options->set_option("xmax", 365);
$options->set_option("labels", array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'));

$chart->set_options($options);
$rgraph_json = $chart->toString();

$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



