<?php
/**
 * @filesource: meter.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
// rgraph chart
//($template = "default.php";
$template = "demo_meter.php";
$id = "cvs";
$draw_option = "draw();";
$width = "350";
$height = "350";
$tmp = explode("RGraph", $_SERVER['PHP_SELF']);
$host = $_SERVER['SERVER_NAME'] . $tmp[0];

if ($host == "localhost" . $tmp[0])
{
    $max = 300;
    $greenstart = 500;
    $yellowstart = 200;
    $yellowend = 500;
    $redend = 200;
}
else
{
    $max = 100;
    $greenstart = 16;
    $yellowstart = 5;
    $yellowend = 16;
    $redend = 5;
}


$chart = new rgraph_chart("cvs", null, "Meter");
$chart->set_min(0);
$chart->set_max($max);
$chart->set_value(0);

$options = new rgraph_options("meter.ini");
$options->set_option("title", "Your Download Speed");
$options->set_option("labelsValueTextUnitsPost", " Mbps");
$options->set_option("labelsValueText", 1);

$chart->set_options($options);
$rgraph_json = $chart->toPrettyString();

$event_script =  $chart->getEventScript("meter_event.js");
$chart_script = "";

include_once ($templates . $template);
?>




