	    /**
	    * Add the event listener function.  This handles the click on
	    * all segments
	    */
	    chart.onclick = function (e, shape)
	    {
	        var obj = shape['object'];
	        obj.set('exploded', []);
	        obj.explodeSegment(shape['index'], 20);
	    }

	    /**
	    * Add the event listener functions.
	    *  This handles the mousemove all segments
	    */
	    chart.onmousemove = function (e, shape)
	    {
	        e.target.style.cursor = 'pointer';
	    }


	    /**
	    * This function resets the pie before the above two functions fire.
	    *  Note that the event is registered to use the capture phase
	    *  of click event so that it will fire before the above events.
	    */
	    window.addEventListener('click', function (e)
	    {
	        chart.set('exploded', []);
	        RGraph.redraw();
	    }, true);