<?php
/**
 * @filesource: waterfall.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";

// rgraph chart
$template = "default.php";
$draw_option = "grow();";
$width = "650";
$height = "350";

$data= array(10,10,5,-2,-5,6,-5);
$chart = new rgraph_chart("cvs",$data,"Waterfall");

$options = new rgraph_options("default.ini");
$options->set_option("title", "A basic Waterfall Chart");
$options->set_option("xaxisLabels",
  array('Monday', 'Tuesday', 'Wednesday', 'Thursday','Friday', 'Saturday', 'Sunday', 'Total'));
$options->setColorOpacity(0.8);
$options->set_option("xaxisLabelsAngle", 20);
        
$chart->set_options($options);
$rgraph_json = $chart->toString();

$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



