<?php
/**
 * @filesource: default.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   template for use of php-helper class for rgraph charts package
 *
 */
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8"/>
<meta name="designer" content="Joachim Schmidt - http://www.jschmidt-systemberatung.de" />
<meta name="description" content="RGRAPH Web Application" />
<title>RChart Sample</title>
<link href="<?php echo $root; ?>/css/website.css" rel="stylesheet" type="text/css" />
<script src="js/jquery.min.js"></script>
<?php
// setup of rgraph javascript libraries
$id = $chart->get_id();
$chart_type = $chart->get_chartType();
$scripts = $chart->getScripts((array)$options);
$java_scripts = "<script src='" . $base . $chart->getScript($chart_type) . "'  type='text/javascript' ></script>";
$java_scripts .= "<script src='" . $base . $chart->getScript('effects') . "'  type='text/javascript' ></script>";
$java_scripts .= "<script src='" . $base . $chart->getScript('rect') . "'  type='text/javascript' ></script>";
$java_scripts .= "<script src='" . $base . $chart->getScript('csv') . "'  type='text/javascript' ></script>";
for ($i=0; $i<count($scripts); $i++)
{ if (isset($scripts[$i]))
    $java_scripts .= "\n<script src='" . $base . $scripts[$i] . "'  type='text/javascript' ></script>";
}
if (!isset($canvas_style))
  $canvas_style = "";
  if (!isset($canvas_class))
      $canvas_class = "";
echo $java_scripts;
?>
</head>
<canvas id="<?php echo $id; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" style=" <?php echo $canvas_style; ?>">
    [No canvas support]>
</canvas>
<script>
jQuery(document).ready(function() {
 
  <?php echo $event_script; ?>
        
  var chart = new RGraph.<?php echo $chart_type; ?> (
   <?php echo $chart_json; ?>).<?php echo $draw_option; ?>

   <?php echo $chart_script; ?>
});
</script>

